/*=========================================*\

	Jeudi 7 Janvier 1999
	
	Arash Habibi
	
	Timer.h
	
	Les structures de donnees pour les 
	timers. 
	
\*=========================================*/

#ifndef _TIMER_H
#define _TIMER_H


#include <stdio.h>
#include <unistd.h>
#include <signal.h>
#include <sys/time.h>

#define CRASH -1
#define TOUT_BAIGNE 1
#define VRAI 1
#define FAUX 0

#define PLUS_RIEN 0

#define FOR_ALL_TIMERS_IN_LIST(timer) for(((timer)=FirstTimer); ((timer)!=NULL); ((timer)=((timer)->next)))

typedef char boolean;

typedef struct AppliTimer_t
{
	int identite; 
	float duree; 
	struct AppliTimer_t *next; 
} AppliTimer_t; 


extern void InitTimers(int TPipe);
extern void StartATimer(int identite, float duree);
extern void StopTimer(int identite);
extern void CheckTimers();

void TimeoutHandler();

#endif
