
//================================================
//
//	Lundi 23 novembre 1998
//
//	Arash HABIBI
//
//	Physique.H
//
//      Tout ce qui concerne la couche physique
//
//================================================


#ifndef _PHYS_H
#define _PHYS_H

#include "define.H"
#include "Toolbox.H"

#include <sys/socket.h>
#include <sys/un.h>
#include <string.h>


	
class CouchePhys_c
{
public:
  CouchePhys_c(char *, char *, int , int , int, int);
  ~CouchePhys_c();
    
private:
  int _Data_Phys_Lia_pipe, 
    _Data_Lia_Phys_pipe,
    _Deconnexion_Phys_Lia_pipe, 
    _Deconnexion_Lia_Phys_pipe;
    
  char _LocalSocketName[50];
  char _DistantSocketName[50];
  
  int _sock_desc;
  struct sockaddr_un _adresse_loc;
  struct sockaddr_un _adresse_dist;

  boolean _stop; 

  void _SetLocalAddress(char *ref);
  void _SetDistantAddress(char *ref);

  void _SendData();
  void _ReceiveData();  
  void _Disconnect();

  void _Loop();
};

#endif
