/*===============================================*\
	Mercredi 9 Septembre 1998

	Arash HABIBI

	main.c

	Un main pour la fonction GetAndBindSocket, 
	qui, en fonction d'un numero de port (eventuellement 0), 
	d'un type (SOCK_DGRAM ou SOCK_STREAM) rend
	un descripteur de socket INTERNET et donne 
	aussi l'adresse ou il a effectivement ete 
	attachee.      
	
\*================================================*/


#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>

extern int GetAndBindSocket(int nb_port, int type, 
		struct sockaddr_in *adresse_loc);
		

void main(int argc, char **argv)
/*================================================*\
   C'est un programme qui ne fait que rendre
   une socket fixee a un numero de port. 
\*================================================*/
{	
	int desc_sock, type; 
	struct sockaddr_in adresse; 
	char bidon; 
	
	if(argc!=3) {printf("Usage : GABS num_port type\n"); exit(1);}
	
/* ---- Interpretation de argv[2] ---- */
	
	if(strcmp(argv[2],"SOCK_DGRAM")==0) type = SOCK_DGRAM; 
	else if(strcmp(argv[2],"SOCK_STREAM")==0) type = SOCK_STREAM; 
	else 
	{printf("Le type doit etre soit SOCK_DGRAM soit SOCK_STERAM et non %s\n",
	 argv[2]); exit(1);}
	 
/* ---- appel a la fonction, l'interet du programme ---- */
	
	desc_sock = GetAndBindSocket(type, atoi(argv[1]), &adresse);
	
	printf("Descripteur = %d,\t numero de port = %d\n",
		desc_sock, adresse.sin_port);
		
	printf("RETURN pour sortir.\n");
	scanf("%c", &bidon);
}	 
